import Command from '../Command';
import { PivotType } from '../RelationshipControlPoints';
import PositionType from '../PositionType';
import RelationshipModel from '../model/RelationshipModel';
import CommandContext from '../CommandContext';
declare class MoveControlPointCommand extends Command {
    private _ctrIndex;
    private _controlPoint;
    private _modelId;
    constructor(model: RelationshipModel, controlPoint: PositionType, ctrIndex: PivotType);
    execute(commandContext: CommandContext): void;
    undoExecute(commandContext: CommandContext): void;
}
export default MoveControlPointCommand;
